/* CSS Document */
@import url('//fonts.googleapis.com/css2?family=Noto+Serif+JP:wght@200..900&display=swap');

:root{
	--color: #333;
	--color-rgb: 51, 51, 51;
	--color-theme: #000;
	--color-theme-rgb: 0, 0, 0;
	--variable-color: var(--color-theme);
	--color-border: #808080;
	--font: "Noto Serif JP", serif;
	--wrap-space: 16px;
	--wrap-fit: calc(100% - (var(--wrap-space) * 2));
	--wrap-max: 1200px;
	--wrap: min(var(--wrap-fit), var(--wrap-max));
	--dummy: #e7e6dd url('../images/logoType.svg') no-repeat center / 75%;
}

html{
	min-width: 375px;
	scroll-behavior: smooth;
	scroll-padding-top: 56px;
}

body{
	color: var(--color);
	font: 400 16px var(--font);
	font-feature-settings: "palt";
	line-height: 1.65;
	overflow-wrap: anywhere;
}
::selection{
	background: var(--color-theme);
	color: #fff;
}
::-moz-selection{
	background: var(--color-theme);
	color: #fff;
}
_::content, _:future, body:not(*:root) {
	/* Chromeのハック */
	/*フォント細いって言われたとき
	font-weight: 500;
	*/
}
_::-webkit-full-page-media, _:future, :root body{
	/* safariのハック */
}
@-moz-document url-prefix(){
	/* Firefoxのハック */
	.xxx{

	}
}

a{
	color: inherit;
	.done &{
		transition-property: color, text-decoration, background, background-color, background-size, border, border-color, box-shadow, filter, opacity;
		transition-duration: 0.2s;
		transition-timing-function: ease-out;
	}
}

wbr{
	.translated-ltr &:not(:lang(ja)){
		display: none;
	}
}

main{
	& a{
		color: var(--color-theme);
		text-decoration: underline;
	}
}

:where(a, button):focus-visible{
	outline: var(--color-theme) auto 2px;
	outline-offset: 2px;
}

:where(input, textarea, select){
	background-color: transparent;
	accent-color: var(--color-theme);
	caret-color: var(--color-theme);
}

:is(input[type="checkbox"], input[type="radio"]){
	&:checked{
		background-color: var(--color-theme);
	}
}

button{
	display: grid;
	align-items: center;
	min-height: 48px;
	padding: 8px 16px;
	background: black;
	color: white;
	text-align: center;
}

#wrapper{
	display: grid;
	grid-template-rows: auto 1fr;
	min-height: 100vh;
	#header{
	}
}

#header{
	justify-self: center;
	display: flex;
	justify-content: space-between;
	align-items: center;
	column-gap: clamp(24px, calc(32 / 1200 * 100vw), 32px);
	width: min(var(--wrap-fit), 1320px);
	min-height: clamp(64px, calc(96 / 1200 * 100vw), 96px);
	background: #fff;
	z-index: 100;
}

#siteName{
	margin-right: auto;
	& a{
		display: block;
		aspect-ratio: 300 / 31;
		height: clamp(24px, calc(48 / 1200 * 100vw), 48px);
		background: currentColor;
		font-size: 0;
		-webkit-mask: url('../images/logoType.svg') no-repeat center / contain;
	}
}

#customSearch{
	& div,
	& table,
	& tbody,
	& tr,
	& td{
		display: contents;
	}
	& form{
		display: flex;
		max-width: 280px;
		height: 32px;
		padding: 0 8px;
		border: 1px solid #ccc;
		border-radius: 16px;
		overflow: hidden;
	}
	& [type="text"]{
		all: unset;
		width: 100%;
		margin-left: 8px;
		font-size: 16px;
	}
	& [type="submit"]{
		all: unset;
		aspect-ratio: 1;
		width: auto;
		height: 100%;
		background: currentColor;
		cursor: pointer;
		-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><path d="M14.22,12.86l-2.26-2.27c-.24-.24-.58-.34-.89-.28l-.54-.54c.7-.87,1.13-1.99,1.13-3.22,0-2.82-2.28-5.1-5.09-5.1S1.48,3.74,1.48,6.56s2.28,5.12,5.09,5.12c1.21,0,2.31-.43,3.18-1.13l.54.54c-.06.32.03.66.28.9l2.26,2.27c.2.2.44.29.7.29.24,0,.49-.09.69-.29.4-.4.4-1,0-1.39ZM6.57,10.12c-1.96,0-3.55-1.59-3.55-3.56s1.59-3.56,3.55-3.56,3.55,1.59,3.55,3.56-1.59,3.56-3.55,3.56Z"/></svg>') no-repeat center / 16px;
	}
	@media (max-width: 767.98px) {
		display: none;
	}
}

#selectLanguage{
	& dl{
		position: relative;
		font-size: clamp(10px, calc(14 / 1200 * 100vw), 14px);
		letter-spacing: 0.05em;
	}
	& dt{
		display: grid;
		grid-template-columns: auto clamp(16px, calc(22 / 1200 * 100vw), 22px);
		align-items: center;
		column-gap: 8px;
		font-weight: 600;
		cursor: pointer;
		&:after{
			content: "";
			aspect-ratio: 1;
			background: currentColor url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 12 12" style="fill: none; stroke: white; stroke-linecap: round; stroke-linejoin: round; stroke-width: 2px;"><polyline points="1 4 6 9 11 4"/></svg>') no-repeat center / min(50%, 10px);
			border-radius: 100%;
		}
		&.open:after{
			transform: scale(1, -1);
		}
	}
	& dd{
		& a{
			display: block;
			padding: 0.5em 1em;
		}
	}
	& span{
		position: absolute;
		top: calc(100% + 8px);
		left: 0;
		width: 100%;
		display: grid;
		background: #fff;
		border-radius: 4px;
		filter: drop-shadow(0 0 4px rgba(0, 0, 0, 0.2));
	}
}

#hero{
	display: grid;
	& dl{
		grid-column: 1;
		grid-row: 1;
		display: grid;
		grid-template-columns: 1fr var(--wrap) 1fr;
		grid-template-rows: 1fr auto;
		color: #fff;
		&:nth-child(n+2){
			display: none;
		}
	}
	& dt{
		grid-column: 2;
		grid-row: 1;
		margin-bottom: clamp(24px, calc(32 / 1200 * 100vw), 32px);
		align-self: end;
		font-weight: 700;
		font-size: clamp(24px, calc(48 / 1200 * 100vw), 48px);
		letter-spacing: 0.06em;
		filter: drop-shadow(0 0 4px rgba(0, 0, 0, 0.6));
		&:lang(ja),
		&:lang(zh-CN),
		&:lang(zh-TW),
		&:lang(ko){
			font-size: clamp(24px, calc(60 / 1200 * 100vw), 60px);
		}
	}
	& dd{
		&:nth-of-type(1){
			grid-column: 2;
			grid-row: 2;
			margin-bottom: 72px;
			font-weight: 700;
			font-size: clamp(10px, calc(16 / 768 * 100vw), 16px);
			letter-spacing: 0.02em;
			line-height: 2;
			word-break: keep-all;
			overflow-wrap: anywhere;
			filter: drop-shadow(0 0 4px rgba(0, 0, 0, 0.6));
			& wbr:not(:lang(ja)){
				display: none;
				}
		}
		&:has(img){
			grid-column: 1 / 4;
			grid-row: 1 / 3;
			z-index: -1;
		}
		& img{
			width: 100%;
			height: clamp(400px, calc(100dvh - clamp(64px, calc(96 / 1200 * 100vw), 96px)), 800px);
			object-fit: cover;
			&[src="[url]"]{
				display: block;
				background: #ccc;
			}
		}
	}
	&.slick{
		grid-template-columns: auto 1fr auto;
	}
	& .slick-list{
		grid-column: 1 / 4;
		grid-row: 1;
	}
	& .slick-arrow{
		all: unset;
		box-sizing: border-box;
		position: relative;
		grid-row: 1;
		align-self: center;
		aspect-ratio: 1;
		width: 48px;
		margin: 8px;
		/*background: rgba(0, 0, 0, 0.25);
		border-radius: 100%;*/
		color: #fff;
		font-size: 0;
		filter: drop-shadow(0 0 4px rgba(0, 0, 0, 0.6));
		cursor: pointer;
		z-index: 1;
		&:before{
			content: "";
			position: absolute;
			top: 0;
			left: 0;
			aspect-ratio: 1;
			width: 100%;
			background: currentColor;
			-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 48 48" style="fill: none; stroke: black; stroke-width: 2px;"><polyline points="13 1 36 24 13 47"/></svg>') no-repeat center / contain;
			}
	}
	& .slick-prev{
		grid-column: 1;
		&:before{
			transform: scale(-1, 1);
		}
	}
	& .slick-next{
		grid-column: 3;
	}
}

#idea{
	display: grid;
	grid-template-columns: 1fr var(--wrap) 1fr;
	padding-bottom: clamp(88px, calc(224 / 1200 * 100vw), 224px);
	background: #f6f6f6;
	overflow: hidden;
	&>*{
		grid-column: 2;
	}
	&:before{
		content: "";
		grid-column: 1 / 4;
		grid-row: 1;
		background: #fff;
		font-size: clamp(20px, calc(36 / 1200 * 100vw), 32px);
		transform: translateY(-0.75em);
	}
	& h2{
		grid-row: 1;
		display: grid;
		grid-row-gap: 8px;
		margin-top: clamp(64px, calc(144 / 1200 * 100vw), 144px);
		font-weight: 600;
		font-size: clamp(20px, calc(36 / 1200 * 100vw), 32px);
		letter-spacing: 0.1em;
		text-align: center;
		z-index: 1;
		&:before{
			content: "";
			justify-self: center;
			aspect-ratio: 75 / 29;
			height: clamp(40px, calc(56 / 1200 * 100vw), 56px);
			background: currentColor;
			-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 101.25 39.13"><path d="M100.04,26.46h-5.36l-12.03-12.04c-.47-.47-1.23-.47-1.7,0l-4.77,4.78L57.35.35c-.47-.47-1.23-.47-1.7,0l-17.23,17.24-6.38-6.39c-.23-.23-.53-.35-.85-.35h0c-.32,0-.63.13-.85.36l-14.97,15.05h-6.93c-.67,0-1.21.54-1.21,1.21s.54,1.21,1.21,1.21h4.53l-8.35,8.4c-.47.47-.47,1.24,0,1.71.24.23.54.35.85.35s.62-.12.85-.36l10.04-10.1h6.53c.67,0,1.21-.54,1.21-1.21s-.54-1.21-1.21-1.21h-4.14l12.42-12.49,5.53,5.53-1.56,1.56c-.47.47-.47,1.23,0,1.71.24.24.54.35.85.35s.62-.12.85-.35l2.41-2.41s0,0,0,0,0,0,0,0L56.5,2.91l17.98,18-12,12.01c-.47.47-.47,1.23,0,1.71.24.24.54.35.85.35s.62-.12.85-.35l17.63-17.64,9.47,9.48h-5.7c-.67,0-1.21.54-1.21,1.21s.54,1.21,1.21,1.21h14.46c.67,0,1.21-.54,1.21-1.21s-.54-1.21-1.21-1.21ZM16.87,17.02c0-.67-.54-1.21-1.21-1.21H1.21c-.67,0-1.21.54-1.21,1.21s.54,1.21,1.21,1.21h14.46c.67,0,1.21-.54,1.21-1.21Z"/></svg>') no-repeat center / contain;
		}
	}
}

#ideaList{
	display: grid;
	grid-gap: clamp(48px, calc(80 / 1200 * 100vw), 80px) 64px;
	margin-top: clamp(64px, calc(104 / 1200 * 100vw), 104px);
	@media (min-width: 768px) {
		grid-template-columns: repeat(2, 1fr);
	}
	& section{
		display: grid;
		align-content: start;
		grid-template-columns: clamp(40px, calc(72 / 1200 * 100vw), 72px) 1fr;
		&:not(:has(figure)):before{
			content: "";
			grid-column: 1 / 4;
			grid-row: 1;
			aspect-ratio: 3 / 2;
			background: var(--dummy);
			border-radius: 8px;
		}
		&:after{
			content: "";
			grid-column: 1 / 4;
			grid-row: 1;
			justify-self: start;
			align-self: end;
			aspect-ratio: 30 / 53;
			width: clamp(20px, calc(32 / 1200 * 100vw), 32px);
			background: #888053 url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><circle fill="white" cx="12" cy="12" r="3"/></svg>') no-repeat center top / min(80%, 24px) auto;
			transform: translate(clamp(8px, calc(16 / 1200 * 100vw), 16px), 50%);
			-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 30 53"><path d="M0,0h30v53l-14.58-10L0,53V0Z"/></svg>') no-repeat center / contain;
		}
		&>*{
			grid-column: 2;
		}
	}
	& h3{
		margin-top: clamp(16px, calc(24 / 1200 * 100vw), 24px);
		padding-bottom: clamp(10px, calc(16 / 1200 * 100vw), 16px);
		border-bottom: 1px dotted #ccc;
		font-weight: 600;
		font-size: clamp(14px, calc(22 / 1200 * 100vw), 22px);
		letter-spacing: 0.1em;
	}
	& h3+div{
		display: contents;
		}
		& h3+div>*{
			grid-column: 2;
			}
	& p{
		margin-top: 16px;
		font-weight: 500;
		font-size: clamp(10px, calc(15 / 1200 * 100vw), 15px);
		letter-spacing: 0.05em;
	}
	& a{
		justify-self: start;
		display: grid;
		grid-template-columns: 1fr 1em;
		align-items: center;
		min-width: clamp(144px, calc(180 / 1200 * 100vw), 180px);
		margin-top: 24px;
		padding: 0.5em 1em 0.5em 2em;
		height: clamp(32px, calc(48 / 1200 * 100vw), 48px);
		background: #888053;
		border-radius: clamp(16px, calc(24 / 1200 * 100vw), 24px);
		color: #fff;
		font-weight: 500;
		font-size: clamp(10px, calc(14 / 1200 * 100vw), 14px);
		letter-spacing: 0.05em;
		text-decoration: none;
		&:after{
			content: "";
			aspect-ratio: 1;
			background: currentColor;
			-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 12 12" style="fill: none; stroke: white; stroke-linecap: round; stroke-linejoin: round; stroke-width: 2px;"><polyline points="1 1 6 6 1 11"/></svg>') no-repeat center / contain;
		}
	}
	& figure{
		grid-column: 1 / 4;
		grid-row: 1;
		& img{
			aspect-ratio: 3 / 2;
			border-radius: 8px;
			&[src="[url]"]{
				display: block;
				background: #ccc;
			}
		}
	}
}

#footer{
	display: grid;
	grid-template-columns: auto var(--wrap) auto;
	grid-row-gap: clamp(24px, calc(40 / 1200 * 100vw), 40px);
	padding: clamp(64px, calc(100 / 1200 * 100vw), 100px) 0;
	background: #333;
	color: #fff;
	&>*{
		grid-column: 2;
	}
	&:before{
		content: "";
		grid-column: 2;
		justify-self: center;
		aspect-ratio: 5.32 / 1;
		height: clamp(32px, calc(48 / 1200 * 100vw), 48px);
		background: currentColor;
		-webkit-mask: url('../images/logoType.svg') no-repeat left center / auto 100%;
	}
}

#copyright{}
	#copyright p{
		font-size: clamp(10px, calc(14 / 1200 * 100vw), 14px);
		letter-spacing: 0.05em;
		text-align: center;
		}







